WallGraphics - Cesium Documentation

# WallGraphics

#### new WallGraphics(options)

  Describes a two dimensional wall defined as a line strip and optional maximum and minimum heights. The wall conforms to the curvature of the globe and can be placed along the surface or at altitude.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  optional Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `positions` | Property |  | optional A Property specifying the array of `Cartesian3` positions which define the top of the wall.
  `maximumHeights` | Property |  | optional A Property specifying an array of heights to be used for the top of the wall instead of the height of each position.
  `minimumHeights` | Property |  | optional A Property specifying an array of heights to be used for the bottom of the wall instead of the globe surface.
  `show` | Property | `true` | optional A boolean Property specifying the visibility of the wall.
  `fill` | Property | `true` | optional A boolean Property specifying whether the wall is filled with the provided material.
  `material` | MaterialProperty | `Color.WHITE` | optional A Property specifying the material used to fill the wall.
  `outline` | Property | `false` | optional A boolean Property specifying whether the wall is outlined.
  `outlineColor` | Property | `Color.BLACK` | optional A Property specifying the `Color` of the outline.
  `outlineWidth` | Property | `1.0` | optional A numeric Property specifying the width of the outline.
  `granularity` | Property | `Cesium.Math.RADIANS_PER_DEGREE` | optional A numeric Property specifying the angular distance between each latitude and longitude point.

  ##### Demo:

  - Cesium Sandcastle Wall Demo

  ##### See:

  - Entity
  Source: DataSources/WallGraphics.js, line 42

### Members

#### readonlydefinitionChanged :Event

  Gets the event that is raised whenever a property or sub-property is changed or modified.
  Source: DataSources/WallGraphics.js, line 76

#### fill :Property

  Gets or sets the boolean Property specifying whether the wall is filled with the provided material.
  Default Value: `true`
  Source: DataSources/WallGraphics.js, line 135

#### granularity :Property

  Gets or sets the numeric Property specifying the angular distance between points on the wall.
  Default Value: `{CesiumMath.RADIANS_PER_DEGREE}`
  Source: DataSources/WallGraphics.js, line 127

#### material :MaterialProperty

  Gets or sets the Property specifying the material used to fill the wall.
  Default Value: `Color.WHITE`
  Source: DataSources/WallGraphics.js, line 96

#### maximumHeights :Property

  Gets or sets the Property specifying an array of heights to be used for the top of the wall instead of the height of each position. If defined, the array must be the same length as `Wall#positions`.
  Source: DataSources/WallGraphics.js, line 119

#### minimumHeights :Property

  Gets or sets the Property specifying an array of heights to be used for the bottom of the wall instead of the surface of the globe. If defined, the array must be the same length as `Wall#positions`.
  Source: DataSources/WallGraphics.js, line 111

#### outline :Property

  Gets or sets the Property specifying whether the wall is outlined.
  Default Value: `false`
  Source: DataSources/WallGraphics.js, line 143

#### outlineColor :Property

  Gets or sets the Property specifying the `Color` of the outline.
  Default Value: `Color.BLACK`
  Source: DataSources/WallGraphics.js, line 151

#### outlineWidth :Property

  Gets or sets the numeric Property specifying the width of the outline.
  Default Value: `1.0`
  Source: DataSources/WallGraphics.js, line 159

#### positions :Property

  Gets or sets the Property specifying the array of `Cartesian3` positions which define the top of the wall.
  Source: DataSources/WallGraphics.js, line 103

#### show :Property

  Gets or sets the boolean Property specifying the visibility of the wall.
  Default Value: `true`
  Source: DataSources/WallGraphics.js, line 88

### Methods

#### clone(result) → WallGraphics

  Duplicates this instance.

  Name | Type | Description
  --- | --- | ---
  `result` | WallGraphics | optional The object onto which to store the result.

  ##### Returns:

  The modified result parameter or a new instance if one was not provided.
  Source: DataSources/WallGraphics.js, line 168

#### merge(source)

  Assigns each unassigned property on this object to the value of the same property on the provided source object.

  Name | Type | Description
  --- | --- | ---
  `source` | WallGraphics | The object to be merged into this object.

  Source: DataSources/WallGraphics.js, line 191